iDVD NEED HELP!

Discussion in 'Mac Apps and Mac App Store' started by LeopardUserUK, Mar 26, 2009.

  1. LeopardUserUK macrumors newbie

    Joined:
    Feb 21, 2009
    #1
    Ok, i am running 10.5.6, and iDVD 5.0.1, and every time i go to open iDVD i get this message: 'You cannot use this version of iDVD with this version of Mac OS X'. And to be honest i am really pissed. I have a media assignment due in for tomorrow, and i need to be able to burn my movie! Any suggestions.

    ASAP!
     
  2. DPA macrumors 65816

    DPA

    #2
    This article should help you. You need to reinstall iDVD and that article explains how.

    David
     
  3. sickmacdoc macrumors 68020

    sickmacdoc

    Joined:
    Jun 14, 2008
    Location:
    New Hampshire
    #3
    I'm afraid you are screwed. :( iDVD 5 is not compatible with Leopard. You need iDVD 6 (from iLife 08) or the current iDVD 7 from iLife 09.

    For confirmation, see this thread in the Apple Discussions list.
     
  4. JediMeister macrumors 68040

    Joined:
    Oct 9, 2008
    #4
    Slight correction there sickmacdoc, iDVD 6 was introduced with iLife 06, iDVD 7 with iLife 08, and iDVD only had a minor update from 7.0.2 to 7.0.3 with the release of iLife 09. As far as the other content of your post though, you are correct, iDVD 5 is incompatible with Leopard.
     
  5. sickmacdoc macrumors 68020

    sickmacdoc

    Joined:
    Jun 14, 2008
    Location:
    New Hampshire
    #5
    Thanks for the update!:) I will keep that in mind as I sure missed that and managed to screw the versions ALL up!
     

Share This Page